%global debug_package %{nil}

Summary:	Multi-User Tmux Made Easy
Name:		wemux
Version:	3.2.0
Release:	1%{?dist}
License:	MIT
URL:		https://github.com/zolrath/wemux
Source0:	https://github.com/zolrath/wemux/archive/v%{version}.tar.gz#/%name-%version.tar.gz

# Change '/usr/local' paths
Patch0:		wemux-3.2.0-fhs.patch

Requires:	bash
Requires:	tmux >= 1.6

%description
wemux enhances tmux to make multi-user terminal multiplexing both easier and
more powerful. It allows users to host a wemux server and have clients join
in either:

- Mirror Mode gives clients (another SSH user on your machine) read-only access
  to the session, allowing them to see you work, or

- Pair Mode allows the client and yourself to work in the same terminal
  (shared cursor)

- Rogue Mode allows the client to pair or work independently in another window
  (separate cursors) in the same tmux session.

It features multi-server support as well as user listing and notifications
when users attach/detach.

%prep
%autosetup -p1

%build
echo "Move along, nothing to see here..."

%install
install -D -m 0755 wemux %{buildroot}%{_bindir}/wemux
install -D -m 0644 man/wemux.1 %{buildroot}%{_mandir}/man1/wemux.1
install -D -m 0640 wemux.conf.example %{buildroot}/%{_sysconfdir}/wemux/wemux.conf

%files
%license MIT-LICENSE
%doc README.md
%dir %{_sysconfdir}/wemux
%{_sysconfdir}/wemux/*
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Wed May 13 2020 Greg Wildman <greg@techno.co.za> - 3.2.0-1
- Initial spec.

